contrib: bluray: disable package not usable on Winstore builds
authorSteve Lhomme <robux4@ycbcr.xyz>
Wed, 6 Mar 2019 10:05:27 +0000 (11:05 +0100)
committerSteve Lhomme <robux4@ycbcr.xyz>
Wed, 20 Mar 2019 09:48:35 +0000 (10:48 +0100)
uses SetThreadAffinityMask (which is now available)
uses LoadLibraryExW which should be remapped to another call (or not used at all)
uses GetWindowsDirectoryW which is not available
uses SetDllDirectoryW which is not available
uses RegOpenKeyExW, RegQueryValueExW, RegEnumValueW and RegCloseKey which are not available
uses GetModuleHandleEx which is not available
uses GetDC and ReleaseDC which are not available
uses EnumFontFamiliesExW which is not available

contrib/src/bluray/rules.mak

index 09ad2f4..0e07128 100644 (file)
@@ -4,8 +4,10 @@ BLURAY_VERSION := 1.1.0
 BLURAY_URL := $(VIDEOLAN)/libbluray/$(BLURAY_VERSION)/libbluray-$(BLURAY_VERSION).tar.bz2
 
 ifdef BUILD_DISCS
+ifndef HAVE_WINSTORE
 PKGS += bluray
 endif
+endif
 ifeq ($(call need_pkg,"libbluray >= 0.7.0"),)
 PKGS_FOUND += bluray
 endif